package fr.geeks.business.services;

import java.util.List;

import org.springframework.dao.DataAccessException;

import fr.geeks.business.bean.UserBean;
import fr.geeks.persistence.jdbc.UserDao;

public class UserServiceImpl implements UserService {

	private UserDao userDao;

	@Override
	public List<UserBean> getAllUsers() throws Exception {
		try {
			return userDao.selectAllUsers();
		} catch (DataAccessException e) {
			// log
			throw new Exception("Error while getting users list from database", e);
		}
	}

	/**
	 * @param userDao
	 *            the userDao to set
	 */
	public void setUserDao(UserDao userDao) {
		this.userDao = userDao;
	}

}
