package fr.geeks.persistence.jdbc;

import java.util.List;

import org.springframework.dao.DataAccessException;
import org.springframework.jdbc.core.support.JdbcDaoSupport;

import fr.geeks.business.bean.UserBean;
import fr.geeks.persistence.jdbc.mapper.UserMapper;

public class UserDaoImpl extends JdbcDaoSupport implements UserDao {

	@SuppressWarnings("unchecked")
	@Override
	public List<UserBean> selectAllUsers() throws DataAccessException {
		String QUERY_GET_USERS = "SELECT * FROM USER ORDER BY ID ASC";
		
		List<UserBean> query = getJdbcTemplate().query(
				QUERY_GET_USERS,
				new Object[] {},
				new int[] {},
				new UserMapper()
		);
		return query;
	}

}
