/**
 * 
 */
package fr.geeks.business.services;

import java.util.List;

import junit.framework.TestCase;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

import fr.geeks.business.bean.UserBean;
import fr.geeks.business.services.UserService;
import fr.geeks.persistence.jdbc.util.JndiDatasourceCreator;

/**
 * @author benjamin_henique
 * 
 */
public class TestUserServiceCase2 extends TestCase {

	UserService userService;

	@Override
	protected void setUp() throws Exception {
		super.setUp();
		JndiDatasourceCreator.create();
		String[] springFiles = { "applicationContext-metier-case2.xml" };
		ApplicationContext applicationContext = new ClassPathXmlApplicationContext(springFiles);
		userService = (UserService) applicationContext.getBean("userService");
	}

	/**
	 * 
	 */
	public void testGetAllUsers() throws Exception {
		List<UserBean> usersList = userService.getAllUsers();
		System.out.println(usersList);
	}

}
