package fr.geeks.persistence.jdbc.mapper;

import java.sql.ResultSet;
import java.sql.SQLException;

import org.springframework.jdbc.core.RowMapper;

import fr.geeks.business.bean.UserBean;

public class UserMapper implements RowMapper {

	@Override
	public Object mapRow(ResultSet rs, int arg) throws SQLException {
		UserBean userBean = new UserBean();
		userBean.setId(rs.getInt("ID"));
		userBean.setLogin(rs.getString("LOGIN"));
		userBean.setPass(rs.getString("PASS"));
		userBean.setAddress(rs.getString("ADDRESS"));
		return userBean;
	}

}